package org.jeecg.api.service;

import org.jeecg.api.bean.PageBean;
import org.jeecg.common.api.vo.Result;

public interface AppletOrderService {

    //获取订单信息列表带分页
    Result<?> getOrderPageBean(String token,Integer status,PageBean pageBean);

    //根据订单标识查询订单信息
    Result<?> getOrderInfo(String token,String orderId);

    //再次支付
    Result<?> payOrder(String token,Integer type,String orderId);

    //确认订单送达
    Result<?> confirmOrder(String token,String orderId);

    //取消订单
    Result<?> cancelOrder(String token,String orderId);

    //支付回调
    Object payNotify(String requestBody);


    //商城-加入购物车之后一次下多个订单
    Result<?> createSumOrder(String token,String list,String addressId,Integer payType,String orderId);
}
